## net.i2p.util
Class HexDump

    java.lang.Object
      net.i2p.util.HexDump

    public class HexDump

extends java.lang.Object

Hexdump class (well, it's actually a namespace with some functions, but let's stick with java terminology :-). These methods generate an output that resembles `hexdump -C` (Windows users: do you remember `debug` in the DOS age?).

Author:
  human

Constructor Summary
`HexDump()`

Method Summary
`static java.lang.String` `dump(byte[] data)` Dump a byte array in a String.
`static java.lang.String` `dump(byte[] data, int off, int len)` Dump a byte array in a String.
`static void` `dump(byte[] data, int off, int len, java.io.OutputStream out)` Dump a byte array through a stream.
`static void` `dump(byte[] data, java.io.OutputStream out)` Dump a byte array through a stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexDump

    public HexDump()

Method Detail

### dump

    public static java.lang.String dump(byte[] data)

  Dump a byte array in a String.

  Parameters:
    `data` - Data to be dumped

### dump

    public static java.lang.String dump(byte[] data,
                                        int off,
                                        int len)

  Dump a byte array in a String.

  Parameters:
    `data` - Data to be dumped
    `off` - Offset from the beginning of `data`
    `len` - Number of bytes of `data` to be dumped

### dump

    public static void dump(byte[] data,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Dump a byte array through a stream.

  Parameters:
    `data` - Data to be dumped
    `out` - Output stream
  Throws:
    `java.io.IOException`

### dump

    public static void dump(byte[] data,
                            int off,
                            int len,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Dump a byte array through a stream.

  Parameters:
    `data` - Data to be dumped
    `off` - Offset from the beginning of `data`
    `len` - Number of bytes of `data` to be dumped
    `out` - Output stream
  Throws:
    `java.io.IOException`